package com.sxtvs.open.api.h5template.controller;

import com.sxtvs.open.api.h5template.entity.H5Template;
import com.sxtvs.open.api.h5template.service.impl.H5TemplateServiceImpl;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2023-03-30
 */
@RestController
@RequestMapping("/h5template")
public class H5TemplateController {

    @Resource
    private H5TemplateServiceImpl h5TemplateService;

    @PostMapping("store")
    public void store(@RequestBody H5Template h5Template){
        h5TemplateService.save(h5Template);
    }

}
