package com.sxtvs.open.api.h5template.service.impl;

import com.sxtvs.open.api.h5template.entity.H5Template;
import com.sxtvs.open.api.h5template.mapper.H5TemplateMapper;
import com.sxtvs.open.api.h5template.service.IH5TemplateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2023-03-30
 */
@Service
public class H5TemplateServiceImpl extends ServiceImpl<H5TemplateMapper, H5Template> implements IH5TemplateService {

    public void store(H5Template h5Template){
        h5Template.setCreateTime(LocalDateTime.now());
        h5Template.setUpateTime(LocalDateTime.now());
        h5Template.setH5Status(1);
        save(h5Template);
    }
}
